From e675f8f528a6b3ff6e5681398f46d9830b01adff Mon Sep 17 00:00:00 2001
From: Jeevan Ladhe <jeevan.ladhe@enterprisedb.com>
Date: Mon, 12 Jul 2021 16:54:13 +0530
Subject: [PATCH] Improve the pg_upgrade error message.

---
 src/bin/pg_upgrade/check.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/src/bin/pg_upgrade/check.c b/src/bin/pg_upgrade/check.c
index 0c47a6b8cc..68361d8d84 100644
--- a/src/bin/pg_upgrade/check.c
+++ b/src/bin/pg_upgrade/check.c
@@ -734,7 +734,8 @@ check_proper_datallowconn(ClusterInfo *cluster)
 			 */
 			if (strcmp(datallowconn, "f") == 0)
 				pg_fatal("All non-template0 databases must allow connections, "
-						 "i.e. their pg_database.datallowconn must be true\n");
+						 "i.e. their pg_database.datallowconn must be true; "
+						 "database \"%s\" has datallowconn set to false.\n", datname);
 		}
 	}
 
-- 
2.25.1

